RMEXTATTR(8)

NAME
getextattr, lsextattr, rmextattr, setextattr - manipulate extended attributes

SYNOPSIS
getextattr [-fhqsx] attrnamespace attrname filename ...
lsextattr [-fhq] attrnamespace filename ...
rmextattr [-fhq] attrnamespace attrname filename ...
setextattr [-fhnq] attrnamespace attrname attrvalue filename ...

DESCRIPTION
These utilities are user tools to manipulate the named extended attributes on files and directories. The attrnamespace argument should be the namespace of the attribute to retrieve: legal values are user and system. The attrname argument should be the name of the attribute, filename the name of the target file or directory, attrvalue a string to store in the attribute.

The following options are available:

-f  (Force.) Ignore errors on individual filenames and continue with the remaining arguments.

-h  (No follow.) If the file is a symbolic link, perform the operation on the link itself rather than the file that the link points to.

-n  (NUL -terminate.) NUL -terminate the extent content written out.

-q  (Quiet.) Do not print out the pathname and suppress error messages.

-s  (Stringify.) Escape nonprinting characters and put quotes around the output.

-x  (Hex.) Print the output in hexadecimal.

EXAMPLES

    setextattr system md5 `md5 -q /boot/kernel/kernel` /boot/kernel/kernel
    getextattr system md5 /boot/kernel/kernel
    lsextattr system /boot/kernel/kernel
    rmextattr system md5 /boot/kernel/kernel

SEE ALSO
extattr(2), extattr(3), extattrctl(8), extattr(9)

HISTORY
Extended attribute support was developed as part of the TrustedBSD Project, and introduced in FreeBSD 5.0. It was developed to support security extensions requiring additional labels to be associated with each file or directory.

AUTHORS
Robert N M Watson Poul-Henning Kamp

BUGS
The setextattr utility can only be used to set attributes to strings.